Compatibility

BiiSafe Buddy app works with devices supporting Bluetooth Smart (Bluetooth 4.0) connection.

Supports Android devices using Android 4.3 or higher with Bluetooth Smart.

Almost all Android devices with the required operating system have the Bluetooth Smart chip in them.

Have more questions? Submit a request

0 Comments

Please sign in to leave a comment.
Powered by Zendesk